function new_bubble = scale_bubble_to_ori(bubble, im_sizes, bbox)

new_bubble = bubble;
for i = 1:size(bubble, 1)   
    im_id = bubble(i,3);
    new_bubble(i,:) = scale_bubble_to_ori_single(bubble(i,:), im_sizes(im_id,1), im_sizes(im_id,2), bbox(im_id,:));
end

end

function new_bubble = scale_bubble_to_ori_single(bubble, ori_w, ori_h, bbox)
%bubble: (1)cubid, (2)other_cubid, (3)cubimgid, (4)game_id (5)playerid,
%(6)score, (7)x, (8)y, (9)r, (10)crop_expand, (11)crop_disp_maxw,
%(12)crop_disp_max_h, (13)bubbleid
%bbox: x, y, w, h

x = bbox(1);
y = bbox(2);
w = bbox(3);
h = bbox(4);
expand = bubble(10);
w2 = w * expand;
h2 = h * expand;

x2 = max(0, x - (w2 - w)/2);
y2 = max(0, y - (h2 - h)/2);

w2 = min(w2, ori_w - x2);
h2 = min(h2, ori_h - y2);

[w3, h3] = resize_im_dims(w2,h2, bubble(11), bubble(12));

s = w2 / w3; 

new_bubble  = bubble;

new_bubble(7) = bubble(7) * s + x2;
new_bubble(8) = bubble(8) * s + y2;
new_bubble(9) = bubble(9) * s;


end