function show_bubble(game_id, bubbles, images, bubble_i)
%bubble: (1)cubid, (2)other_cubid, (3)cubimgid, (4)game_id (5)playerid,
%(6)score, (7)x, (8)y, (9)r, (10)crop_expand, (11)crop_disp_maxw,
%(12)crop_disp_max_h
%bbox: x, y, w, h

idx = find(bubbles(:,4) == game_id);
image_id = bubbles(idx(1), 3)
bubbles = bubbles(idx,:);

figure;
imshow(images{image_id});
hold on;

bubble_set = 1:size(bubbles,1);

if exist('bubble_i','var') && ~isempty(bubble_i)
    bubble_set = bubble_i;
end

for i = bubble_set;
    bubbleid = bubbles(i,13)
    circle(bubbles(i,7), bubbles(i,8), bubbles(i,9));
end

end

function circle(x,y,r)
%x and y are the coordinates of the center of the circle
%r is the radius of the circle
%0.01 is the angle step, bigger values will draw the circle faster but
%you might notice imperfections (not very smooth)
ang=0:0.01:2*pi; 
xp=r*cos(ang);
yp=r*sin(ang);
plot(x+xp,y+yp,'r');
end
